
#[macro_export]
macro_rules! freak_out {
  ($msg:expr) => {
    return Err($msg)
  };
}

pub fn warning(msg: String) {
  eprintln!("warning: {}", msg)
}

pub fn verbose(level: u8, msg_lvl: u8, msg: String) {
  if level < msg_lvl { return };
  let mut prefix = String::new();
  for _ in 0..msg_lvl {
    prefix += "=";
  }

  prefix += "> ";
  eprintln!("{}{}", prefix, msg);
}
